Page MenuHomePhabricator

Regression in diffing unreviewed changes in edit mode in FlaggedRevs
Closed, ResolvedPublic

Description

Big regression introduced with this change: the diff that shows to FlaggedRevs reviewers when there are any unreviewed changes can’t be shown anymore because diff toggle gets hidden upon loading. Some reviewers probably won’t be happy with this. I don’t know how we’re going to fix this if there won’t be any deployments for 2 weeks, though.
(Ideally, this old code shouldn’t use bootleg toggles and should use jquery.makeCollapsible, but alas.)
Reproduce (look for #mw-diff-toggle in browser console):
https://ru.wikipedia.org/wiki/Кох,_Ганс?action=edit
Change that caused this:
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FlaggedRevs/+/338215/22/frontend/modules/ext.flaggedRevs.advanced.js

Event Timeline

Ladsgroup created this task.Jun 8 2019, 1:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2019, 1:17 PM
Ladsgroup triaged this task as High priority.Jun 8 2019, 1:19 PM
Aklapper renamed this task from Regression in diffing unreviewed changes in edit mode in FalggedRevs to Regression in diffing unreviewed changes in edit mode in FlaggedRevs.Jun 8 2019, 1:35 PM

Change 515628 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/FlaggedRevs@master] Bring back diff toggle

https://gerrit.wikimedia.org/r/515628

Change 515628 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Bring back diff toggle

https://gerrit.wikimedia.org/r/515628

Change 515773 had a related patch set uploaded (by Jforrester; owner: Ladsgroup):
[mediawiki/extensions/FlaggedRevs@wmf/1.34.0-wmf.8] Bring back diff toggle

https://gerrit.wikimedia.org/r/515773

SerDIDG added a subscriber: SerDIDG.Jun 8 2019, 8:03 PM

Change 515773 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.34.0-wmf.8] Bring back diff toggle

https://gerrit.wikimedia.org/r/515773

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 17 2019, 6:07 PM

Mentioned in SAL (#wikimedia-operations) [2019-06-17T18:07:17Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.8/extensions/FlaggedRevs/frontend/modules/ext.flaggedRevs.advanced.js: SWAT: FlaggedRevs: Bring back diff toggle T225351 (duration: 00m 48s)